<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: lead</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for lead {SparkR}"><tr><td>lead {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>lead</h2>

<h3>Description</h3>

<p>Window function: returns the value that is 'offset' rows after the current row, and
'null' if there is less than 'offset' rows after the current row. For example,
an 'offset' of one will return the next row at any given point in the window partition.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'characterOrColumn,numeric'
lead(x, offset, defaultValue = NULL)

lead(x, offset, defaultValue = NULL)
</pre>


<h3>Details</h3>

<p>This is equivalent to the LEAD function in SQL.
</p>


<h3>See Also</h3>

<p>Other window_funcs: <code><a href="cume_dist.html">cume_dist</a></code>,
<code><a href="cume_dist.html">cume_dist</a></code>; <code><a href="dense_rank.html">dense_rank</a></code>,
<code><a href="dense_rank.html">dense_rank</a></code>; <code><a href="lag.html">lag</a></code>,
<code><a href="lag.html">lag</a></code>; <code><a href="ntile.html">ntile</a></code>,
<code><a href="ntile.html">ntile</a></code>; <code><a href="percent_rank.html">percent_rank</a></code>,
<code><a href="percent_rank.html">percent_rank</a></code>; <code><a href="rank.html">rank</a></code>,
<code><a href="rank.html">rank</a></code>; <code><a href="row_number.html">row_number</a></code>,
<code><a href="row_number.html">row_number</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: lead(df$c)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
